My.Luther Browser Requirements

Each WebAdvisor user must use a browser that supports HTML 4.0 standard. This includes, but is not exclusive to:

  • Internet Explorer
  • Safari
  • Mozilla Firefox

WebAdvisor 3.0 has been tested on Internet Explorer, Firefox, and Safari. The browser must also have JavaScript enabled and set to accept cookies. The minimum supported resolution is 1024×768.